"use strict";

try {
	if (parent && typeof parent.OnTTELearningClose === "function") {
		parent.OnTTELearningClose();
	} else {
		if (opener && typeof opener.OnTTELearningClose === "function") {
			opener.OnTTELearningClose();
		}
		if (window.navigator.appName.toLowerCase() !== "microsoft internet explorer") {
			window.open("", "_parent", "");
			window.close();
		} else {
			self.opener = window;
			setTimeout(function () {
				try {
					self.close();
				} catch (e) {
					// Intentionally left blank
				}
			}, 1);
		}
	}
} catch (objError) {
	// Intentionally left blank
}
